curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"currency": "usd",
"bank_name": "Wells Fargo",
"account_owner_name": "John Doe",
"account_type": "us",
"account": {
"account_number": "1210002481111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"address": {
"street_line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94102",
"country": "USA"
}
}
'{
"id": "ea_123",
"account_type": "us",
"currency": "usd",
"customer_id": "cust_123",
"account_owner_name": "John Doe",
"bank_name": "Wells Fargo",
"last_4": "1111",
"active": true,
"beneficiary_address_valid": true,
"account": {
"last_4": "1111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"created_at": "2020-01-01T00:00:00.000Z",
"updated_at": "2020-01-02T00:00:00.000Z"
}External Accounts
Create a new External Account
Note: If adding US external accounts, we recommend reading through the US Beneficiary Address Validation doc (link) to avoid issues related to incorrect addresses.
POST
/
customers
/
{customerID}
/
external_accounts
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"currency": "usd",
"bank_name": "Wells Fargo",
"account_owner_name": "John Doe",
"account_type": "us",
"account": {
"account_number": "1210002481111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"address": {
"street_line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94102",
"country": "USA"
}
}
'{
"id": "ea_123",
"account_type": "us",
"currency": "usd",
"customer_id": "cust_123",
"account_owner_name": "John Doe",
"bank_name": "Wells Fargo",
"last_4": "1111",
"active": true,
"beneficiary_address_valid": true,
"account": {
"last_4": "1111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"created_at": "2020-01-01T00:00:00.000Z",
"updated_at": "2020-01-02T00:00:00.000Z"
}Path Parameters
Body
application/json
New External Account object to be created
- ACH/Wire
- IBAN
- CLABE
- Pix (Pix Key)
- Pix (BR Code)
- FPS
- Bre-B
- CO Bank Transfer
Request body for creating an external account.
Response
External Account object created
- ACH/Wire
- IBAN
- CLABE
- Pix
- GB
- Bre-B
- CO Bank Transfer
US bank account using account and routing numbers for ACH or Wire transfers
Owner of the account Bank Account (e.g. "John Doe"). For ach, wire, and iban accounts, this field must be at least 3 characters, at most 35 characters, and follow the regex pattern for the given account type:
- ach:
^(?!\s*$)[\x20-\x7E]*$ - wire:
^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$ - iban:
^(?![:\- ]*$)[a-zA-Z0-9\/\-?:().,'+ _]+$
Required string length:
1 - 256Was this page helpful?